Bug 797118 - dbmail 3.0.2 is released
Summary: dbmail 3.0.2 is released
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dbmail
Version: 15
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Bernard Johnson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-02-24 10:35 UTC by Harald Reindl
Modified: 2012-04-12 03:02 UTC (History)
2 users (show)

Fixed In Version: dbmail-3.0.2-1.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-31 02:59:24 UTC
Type: ---


Attachments (Terms of Use)

Description Harald Reindl 2012-02-24 10:35:12 UTC
take a look at the dbmail list
http://old.nabble.com/dbmail-users-f17485.html

my conversations with paul and a optimized transition for dbmail3 resolved a lot of bugs the last weeks, most fixes are even not included in 3.0.1 branch

http://git.dbmail.eu/paul/dbmail/log/

currently high recommended is this snapshot fixing at least a lot of memory-leaks to prevent imapd cosume > 1 GB RAM after a few hours, fixes POP3 in most cases (timeout AND login_timeout to 1800 is a workaround for troubles with Outlook2003 over slow connections with hughe attachments), so dbmail in Fedora in the RC version can be called as unusable for any production server
http://git.dbmail.eu/paul/dbmail/commit/?id=71187441a99328cfd585f2dbaccb8618de2a5323

i would strongly recommend to update the package since it was way to soon to include dbmail3 RC in stable releases (i holded back 2.2 in our infrastructure to prevent from a migration disaster) and started testing/debugging after 3.0.0 final - even than it was a hard work the last weeks to make it really fine

Comment 1 Harald Reindl 2012-03-11 17:36:16 UTC
WOULD YOU PLEASE UPDATE THE PACKAGE FOR FEDORA USERS OR CONSIDER THE NEXT TIME NOT INCLUDE RELEASE CANDIDATES?

i have no problem because i was able to hold back 2.2 fro F15 and rolled out 3.0.2 after test some minutes ago - but you are shipping a broken package to all other users

-------- Original-Nachricht --------
Betreff: [Dbmail] DBMail 3.0.2 released
Datum: Sun, 11 Mar 2012 17:01:23 +0100
Von: Paul J Stevens <paul@nfg.nl>
Antwort an: DBMail mailinglist <dbmail@dbmail.org>
An: DBMail mailinglist <dbmail@dbmail.org>, DBMAIL Developers Mailinglist <dbmail-dev@dbmail.org>

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1


Hi all,

I'm pleased to announce DBMail version 3.0.2, the latest in the new
stable series.

This is a bugfix only release, focussed mainly at addressing improved
IMAP compliance and reducing memory leakage. It also includes a small
but important fix in the POP3 code (bug #951).

Changelog:
http://git.dbmail.eu/paul/dbmail/log/?h=dbmail_3_0&id=v3.0.2

Download:
http://git.dbmail.eu/paul/dbmail/snapshot/dbmail-3.0.2.tar.gz


- -- 
________________________________________________________________
Paul J Stevens        pjstevns @ gmail, twitter, skype, linkedin

  * Premium Hosting Services and Web Application Consultancy *

Comment 2 Harald Reindl 2012-03-12 22:02:49 UTC
can someone here explain why the hell are RELEASE CANDIDATES are puseh to fedora GA releases and after that ignored for fixes/updates?

Comment 3 Fedora Update System 2012-03-20 01:29:27 UTC
dbmail-3.0.2-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/dbmail-3.0.2-2.el6

Comment 4 Fedora Update System 2012-03-20 01:30:48 UTC
dbmail-3.0.2-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/dbmail-3.0.2-1.fc15

Comment 5 Fedora Update System 2012-03-20 01:31:57 UTC
dbmail-3.0.2-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/dbmail-3.0.2-1.fc16

Comment 6 Fedora Update System 2012-03-20 01:33:32 UTC
dbmail-3.0.2-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/dbmail-3.0.2-1.fc17

Comment 7 Fedora Update System 2012-03-20 06:01:31 UTC
Package dbmail-3.0.2-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dbmail-3.0.2-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-4166/dbmail-3.0.2-1.fc17
then log in and leave karma (feedback).

Comment 8 stan 2012-03-23 16:26:25 UTC
I'm running a fully up-to-date F15.  I updated dbmail on March 21.  I am now getting error messages about the dbmail database being obsolete, and asking me to run a script to convert it.  The database is an sqlite3 database, and it thinks I am running a pre 2 database.  I've looked for a conversion script and can't find it.  I haven't done a lot of "coming up to speed" on what is going on here.  I think I'm going to downgrade the dbmail package to see if that fixes the problem temporarily, at least.  Thanks for any help you can provide.

Comment 9 Harald Reindl 2012-03-23 16:57:11 UTC
you missed my link to the dbmail list-archive and there you find
a messagw from me showing a full migration, but this is for
mysql and not sqlite - who is really using sqlite as mailserver
storage?

i do not know the fedora dbamil3 package well because it does not bother me after all the work i did for dbmail3 to get it stable with my own ones and the migration himself was a one-shot-thing

so i do not know if the fedora-maintainer missed some pieces and i fear upstream is also testing sqlite not as well as you expect

http://old.nabble.com/-thelounge--HowTo%3A-dbmail2--%3E-dbmail3-migration-td33352453.html

Comment 10 stan 2012-03-23 17:10:30 UTC
Thanks for the response Harald.  I'm using it as mail storage, and I didn't set it so I presume it was the default.  I had thought of moving to postgres or mysql as a solution when I first saw the configuration.  Maybe I still will, but the default seems to serve my needs and it would take an investment to do it.  Just like I'm still considering a move to dovecot, and have been for a while.  Both of these make sense, but the benefit for the cost just doesn't seem to be there right now.

I posted back in order to give the full error message I'm getting.
Message from syslogd@fedora15 at Mar 22 03:20:28 ...
 dbmail/maintenance[18775]: [0x1949060] EMERGENCY:[db] check_table_exists(+803): pre-2.0 database incompatible. You need to
 run
 the conversion script

I've downgraded now to the previous 3.0.0 and will see what happens.  I'll also go look at the link Harald provided.

Comment 11 Fedora Update System 2012-03-31 02:59:24 UTC
dbmail-3.0.2-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2012-03-31 03:18:23 UTC
dbmail-3.0.2-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2012-04-07 19:25:04 UTC
dbmail-3.0.2-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2012-04-12 03:02:38 UTC
dbmail-3.0.2-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.